## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:               python-flask-migrate
Version:            4.1.0
Release:            %autorelease
Summary:            SQLAlchemy database migrations for Flask applications using Alembic

# SPDX
License:            MIT
URL:                https://github.com/miguelgrinberg/Flask-Migrate
Source:             %{url}/archive/v%{version}/Flask-Migrate-%{version}.tar.gz

BuildArch:          noarch

# For %%py3_shebang_fix in %%prep, before generated BuildRequires are ready
BuildRequires:      python3-devel

BuildSystem:            pyproject
BuildOption(install):   -l flask_migrate
# Both flask_migrate/templates/aioflask/env.py and
# flask_migrate/templates/flask/env.py are meant for execution via alembic;
# importing them directly fails with:
#   AttributeError: module 'alembic.context' has no attribute 'config'
BuildOption(check):     -e flask_migrate.templates.*flask.env

# We do not use %%pyproject_buildrequires -t and %%tox because tox.ini
# explicitly runs “pip install.” We do not use %%pyproject_buildrequires -x dev
# because this brings in tox and at least one linter (flake8).
BuildRequires:      %{py3_dist pytest}

%global common_description %{expand:
SQLAlchemy database migrations for Flask applications using Alembic.}

%description %{common_description}


%package -n python3-flask-migrate
Summary:            %{summary}

# We stopped building PDF documentation and removed the -doc subpackage for
# Fedora 42; this can be removed after Fedora 44 reaches end of life.
Obsoletes:          python-flask-migrate-doc < 4.1.0-3

%description -n python3-flask-migrate %{common_description}


%prep -a
# Fix shebangs that use /bin/env and unversioned Python
%py3_shebang_fix tests/app.py tests/app_multidb.py


%check -a
# See tox.ini:
%pytest -p no:logging


%files -n python3-flask-migrate -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu Jun 05 2025 Python Maint <python-maint@redhat.com> - 4.1.0-8
- Rebuilt for Python 3.14

* Mon May 05 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.0-7
- Update .rpmlintrc file for current rpmlint

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Jan 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.0-4
- F42+: Update .rpmlintrc file for -doc removal

* Sun Jan 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.0-3
- F42+: Drop and obsolete the -doc subpackage with PDF documentation

* Sun Jan 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.0-2
- F41+: Use the provisional pyproject declarative buildsystem

* Sun Jan 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.0-1
- Update to 4.1.0 (close RHBZ#2337018)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 4.0.7-2
- Rebuilt for Python 3.13

* Wed Mar 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.7-1
- Update to 4.0.7 (close RHBZ#2268676)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.5-2
- Assert that %%pyproject_files contains a license file

* Fri Nov 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.5-1
- Update to 4.0.5 (close RHBZ#2238541)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.4-6
- When PDF docs are disabled, omit the -doc subpackage

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 4.0.4-5
- Rebuilt for Python 3.12

* Tue Jun 20 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.4-4
- Use new (rpm 4.17.1+) bcond style

* Fri Mar 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.4-2
- Don’t assume %%_smp_mflags is -j%%_smp_build_ncpus

* Thu Feb 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.4-1
- Update to 4.0.4 (close RHBZ#2142408)

* Sat Feb 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.1-1
- Update to 4.0.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-14
- Use tox to run the tests

* Mon Nov 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-13
- Minor spec file reformatting

* Mon Nov 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-12
- Remove “tests” bcond

* Sat Oct 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-11
- Confirm License is SPDX MIT

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 3.1.0-9
- Rebuilt for Python 3.11

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-8
- Drop “forge” macros, which are not doing much here

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 26 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-6
- Reduce LaTeX PDF build verbosity

* Fri Oct 01 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-5
- Generate PDF instead of HTML Sphinx documentation.

* Mon Sep 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-4
- Let pyproject-rpm-macros handle the license file

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-3
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-2
- Reduce macro indirection in the spec file

* Sun Aug 01 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-1
- Update to 3.1.0 (closes RHBZ#1988814)

* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.1-4
- Move %%generate_buildrequires after %%prep to make the spec file easier
  to follow

* Wed Jul 21 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.1-3
- Do not package .buildinfo file in HTML docs

* Tue Jun 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.1-1
- Update to 3.0.1 (fix RHBZ#1590806)
- No longer need to chmod files inside package

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.7.0-3
- Rebuilt for Python 3.10

* Tue May 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.0-2
- Use macros for common summary and description
- Use pyproject-rpm-macros, including generated BR’s

* Mon May 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.0-1
- Update to 2.7.0

* Mon May 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.5.3-4
- Re-enable tests on F35/Rawhide since python-flask-sqlalchemy is now updated to
  2.5.x.

* Sun May 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.5.3-3
- Replace %%modname with a group of name macros and use them in more places
- Change URL from PyPI to GitHub, and HTTP to HTTPS
- Use %%pypi_source macro
- Adjust whitespace to personal preference
- Drop manual Requires; EPEL8 and all Fedoras have automatic dependency generation
- Drop %%python3_pkgversion and %%python_provide macros, only needed in EPEL
- Stop chmod’ing template files in %%prep, as there is no longer anything to fix
- Remove executable bits from files in the Python package (currently __init__.py)
- Express BR’s as python3dist(…)/%%{py3_dist …} and version them
- Allow running the tests; disable them on Fedora 35 until
  python-flask-sqlalchemy is updated
- Build documentation and install it in a new -doc subpackage

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 29 2020 José Lemos Neto <LemosJoseX@protonmail.com> - 2.5.3-1
- Update to version 2.5.3

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.1.1-9
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 09 2019 Miro Hrončok <mhroncok@redhat.com> - 2.1.1-7
- Subpackage python2-flask-migrate has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 2.1.1-6
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.1.1-2
- Rebuilt for Python 3.7

* Sun Apr 15 2018 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.1.1-1
- new version

* Wed Feb 21 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.0.0-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 16 2018 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.0.0-7
- make spec file compatible with epel7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 18 2017 Ralph Bean <rbean@redhat.com> - 2.0.0-3
- Conditionalize deps for EL7.

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.0.0-2
- Rebuild for Python 3.6

* Wed Aug 10 2016 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial package for Fedora!  \ó/

## END: Generated by rpmautospec
